=== debian/changelog ===
ondselsolver (0~2024.11.27-1) unstable; urgency=medium

  * Initial release. (Closes: #1091346)

 -- Tobias Frost <tobi@debian.org>  Tue, 24 Dec 2024 17:05:18 +0100
