=== debian/control ===
Source: ondselsolver
Section: libs
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 libgtest-dev,
 libgmock-dev,
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/Ondsel-Development/OndselSolver
Vcs-Browser: https://salsa.debian.org/science-team/ondselsolver
Vcs-Git: https://salsa.debian.org/science-team/ondselsolver.git

Package: libondselsolver-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libondselsolver1 (= ${binary:Version}),
 ${misc:Depends},
Description: Assembly Constraints and Multibody Dynamics code - library
 The OndselSolver library for assembly constraints and multibody dynamics
 is used by FreeCAD 1.0.0 for its new Assembly workbench.
 . 
 This package contains the development files.

Package: libondselsolver1
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Assembly Constraints and Multibody Dynamics code - development files
 The OndselSolver library for assembly constraints and multibody dynamics
 is used by FreeCAD 1.0.0 for its new Assembly workbench.
 . 
 This package contains the library.
