## ondselsolver 0~2025.01.21

=== debian/changelog ===
ondselsolver (0~2025.01.21-1) unstable; urgency=medium

  * package last upstream snapshot before moving to new upstream
    (moving to new upstream is planed with the FreeCAD 1.1 release)
  * Set uploader as the FreeCAD packaging team.
  * Remove "Priority: optional" from d/control.

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Feb 2026 19:02:34 +0100
