## ondselsolver 0~2026.02.11

=== debian/changelog ===
ondselsolver (0~2026.02.11-1~exp1) experimental; urgency=medium

  * Move to new upstream, under the FreeCAD team umbrella.
  * Package new upstream git snapshot targeting FreeCAD 1.1.

 -- Tobias Frost <tobi@debian.org>  Fri, 27 Feb 2026 20:22:36 +0100
