=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ondselsolver
 Section: libs
-Priority: optional
-Maintainer: Tobias Frost <tobi@debian.org>
-Rules-Requires-Root: no
+Maintainer: FreeCAD Packaging Team <team+freecad-packaging-team@tracker.debian.org>
+Uploaders: Tobias Frost <tobi@debian.org>
 Build-Depends:
  cmake,
  libgtest-dev,
  libgmock-dev,
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/Ondsel-Development/OndselSolver
-Vcs-Browser: https://salsa.debian.org/science-team/ondselsolver
-Vcs-Git: https://salsa.debian.org/science-team/ondselsolver.git
+Vcs-Browser: https://salsa.debian.org/debian/ondselsolver
+Vcs-Git: https://salsa.debian.org/debian/ondselsolver.git
 
 Package: libondselsolver-dev
 Section: libdevel
