=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, date=%Y.%m.%d, pretty=0~%cd" \
https://github.com/FreeCAD/OndselSolver HEAD debian uupdate
